Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.pkcs
Class CertificationRequest

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.pkcs.CertificationRequest

All Implemented Interfaces:
  DEREncodable

Direct Known Subclasses:
  PKCS10CertificationRequest

public class CertificationRequest
extends ASN1Encodable

PKCS10 Certification request object.

     CertificationRequest ::= SEQUENCE {
       certificationRequestInfo  CertificationRequestInfo,
       signatureAlgorithm        AlgorithmIdentifier{{ SignatureAlgorithms }},
       signature                 BIT STRING
     }

Field Summary
`protected CertificationRequestInfo` | `reqInfo`
`protected AlgorithmIdentifier` | `sigAlgId`
`protected DERBitString` | `sigBits`

Constructor Summary
`protected` | `CertificationRequest()`
`` | `CertificationRequest(ASN1Sequence seq)`
`` | `CertificationRequest(CertificationRequestInfo requestInfo, AlgorithmIdentifier algorithm, DERBitString signature)`

Method Summary
`CertificationRequestInfo` | `getCertificationRequestInfo()`
`DERBitString` | `getSignature()`
`AlgorithmIdentifier` | `getSignatureAlgorithm()`
`DERObject` | `toASN1Object()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### reqInfo

    protected CertificationRequestInfo reqInfo

### sigAlgId

    protected AlgorithmIdentifier sigAlgId

### sigBits

    protected DERBitString sigBits

Constructor Detail

### CertificationRequest

    protected CertificationRequest()

### CertificationRequest

    public CertificationRequest(CertificationRequestInfo requestInfo,
                                AlgorithmIdentifier algorithm,
                                DERBitString signature)

### CertificationRequest

    public CertificationRequest(ASN1Sequence seq)

Method Detail

### getCertificationRequestInfo

    public CertificationRequestInfo getCertificationRequestInfo()

### getSignatureAlgorithm

    public AlgorithmIdentifier getSignatureAlgorithm()

### getSignature

    public DERBitString getSignature()

### toASN1Object

    public DERObject toASN1Object()

  Overrides:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD